This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 112190 - Duplicate get_partition_list bug to track Bugzilla 111342 in Taroon -
Duplicate get_partition_list bug to track Bugzilla 111342 in Taroon -
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brian Brock
:
Depends On:
Blocks: 107562
  Show dependency treegraph
 
Reported: 2003-12-15 15:46 EST by Neil Horman
Modified: 2007-11-30 17:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 21:08:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil Horman 2003-12-15 15:46:45 EST
Description of problem:
See description in BZ 111342 for complete details - in short there is
a bug in get_partition_list which causes unintended scsi devices to be
removed from /proc/partitions in certain situations

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
Exact reproduction directions in BZ 111342
  
Actual results:
when using scsi remove-single device, additional scsi devices may be
removed from /proc/partitions

Expected results:
only the device specified in the remove-single-device command should
be removed

Additional info:
Comment 1 Summer Maynard 2004-01-09 16:28:11 EST
jbaron submitted patch at BZ_111342 that appears to fix this.
Comment 4 Neil Horman 2004-01-15 08:01:53 EST
The patch was submitted in BZ_111342 for AS2.1.  This is just a
placeholder to make sure the same patch makes it into an update for RHEL3.
Comment 5 Ernie Petrides 2004-01-30 14:44:47 EST
A fix for this was committed to RHEL3 U2 last night
in kernel version 2.4.21-9.2.EL.
Comment 6 John Flanagan 2004-05-11 21:08:02 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-188.html

Note You need to log in before you can comment on or make changes to this bug.